/*
 *
 *  * Copyright (C) 2012 47 Degrees, LLC
 *  * http://47deg.com
 *  * hello@47deg.com
 *  *
 *  * Licensed under the Apache License, Version 2.0 (the "License");
 *  * you may not use this file except in compliance with the License.
 *  * You may obtain a copy of the License at
 *  *
 *  *      http://www.apache.org/licenses/LICENSE-2.0
 *  *
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS,
 *  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  * See the License for the specific language governing permissions and
 *  * limitations under the License.
 *
 */

package com.fortysevendeg.android.wunderground.api.service.request;

/**
 * http://www.wunderground.com/weather/api/d/docs?d=language-support
 */
public enum Lang {

    /**
     * Afrikaans
     */
    AF,
    /**
     * Albanian
     */
    AL,
    /**
     * Arabic
     */
    AR,
    /**
     * Armenian
     */
    HY,
    /**
     * Azerbaijani
     */
    AZ,
    /**
     * Basque
     */
    EU,
    /**
     * Belarusian
     */
    BY,
    /**
     * Bulgarian
     */
    BU,
    /**
     * British English
     */
    LI,
    /**
     * Burmese
     */
    MY,
    /**
     * Catalan
     */
    CA,
    /**
     * Chinese - Simplified
     */
    CN,
    /**
     * Chinese - Traditional
     */
    TW,
    /**
     * Croatian
     */
    CR,
    /**
     * Czech
     */
    CZ,
    /**
     * Danish
     */
    DK,
    /**
     * Dhivehi
     */
    DV,
    /**
     * Dutch
     */
    NL,
    /**
     * English
     */
    EN,
    /**
     * Esperanto
     */
    EO,
    /**
     * Estonian
     */
    ET,
    /**
     * Farsi
     */
    FA,
    /**
     * Finnish
     */
    FI,
    /**
     * French
     */
    FR,
    /**
     * French Canadian
     */
    FC,
    /**
     * Galician
     */
    GZ,
    /**
     * German
     */
    DL,
    /**
     * Georgian
     */
    KA,
    /**
     * Greek
     */
    GR,
    /**
     * Gujarati
     */
    GU,
    /**
     * Haitian Creole
     */
    HT,
    /**
     * Hebrew
     */
    IL,
    /**
     * Hindi
     */
    HI,
    /**
     * Hungarian
     */
    HU,
    /**
     * Icelandic
     */
    IS,
    /**
     * Ido
     */
    IO,
    /**
     * Indonesian
     */
    ID,
    /**
     * Irish Gaelic
     */
    IR,
    /**
     * Italian
     */
    IT,
    /**
     * Japanese
     */
    JP,
    /**
     * Javanese
     */
    JW,
    /**
     * Khmer
     */
    KM,
    /**
     * Korean
     */
    KR,
    /**
     * Kurdish
     */
    KU,
    /**
     * Latin
     */
    LA,
    /**
     * Latvian
     */
    LV,
    /**
     * Lithuanian
     */
    LT,
    /**
     * Low German
     */
    ND,
    /**
     * Macedonian
     */
    MK,
    /**
     * Maltese
     */
    MT,
    /**
     * Mandinka
     */
    GM,
    /**
     * Maori
     */
    MI,
    /**
     * Marathi
     */
    MR,
    /**
     * Mongolian
     */
    MN,
    /**
     * Norwegian
     */
    NO,
    /**
     * Occitan
     */
    OC,
    /**
     * Pashto
     */
    PS,
    /**
     * Plautdietsch
     */
    GN,
    /**
     * Polish
     */
    PL,
    /**
     * Portuguese
     */
    BR,
    /**
     * Punjabi
     */
    PA,
    /**
     * Romanian
     */
    RO,
    /**
     * Russian
     */
    RU,
    /**
     * Serbian
     */
    SR,
    /**
     * Slovak
     */
    SK,
    /**
     * Slovenian
     */
    SL,
    /**
     * Spanish
     */
    SP,
    /**
     * Swahili
     */
    SI,
    /**
     * Swedish
     */
    SW,
    /**
     * Swiss
     */
    CH,
    /**
     * Tagalog
     */
    TL,
    /**
     * Tatarish
     */
    TT,
    /**
     * Thai
     */
    TH,
    /**
     * Turkish
     */
    TR,
    /**
     * Turkmen
     */
    TK,
    /**
     * Ukrainian
     */
    UA,
    /**
     * Uzbek
     */
    UZ,
    /**
     * Vietnamese
     */
    VU,
    /**
     * Welsh
     */
    CY,
    /**
     * Wolof
     */
    SN,
    /**
     * Yiddish - transliterated
     */
    JI,
    /**
     * Yiddish - unicode
     */
    YI,


}
