/*
 *
 *  * Copyright (C) 2012 47 Degrees, LLC
 *  * http://47deg.com
 *  * hello@47deg.com
 *  *
 *  * Licensed under the Apache License, Version 2.0 (the "License");
 *  * you may not use this file except in compliance with the License.
 *  * You may obtain a copy of the License at
 *  *
 *  *      http://www.apache.org/licenses/LICENSE-2.0
 *  *
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS,
 *  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  * See the License for the specific language governing permissions and
 *  * limitations under the License.
 *
 */

package com.fortysevendeg.android.wunderground.api.service.request;

/**
 * A suffixed feature
 */
public class SuffixedFeature implements FeatureParam {

    private Feature feature;

    private String suffix;

    private SuffixedFeature(Feature feature, String suffix) {
        this.feature = feature;
        this.suffix = suffix;
    }

    public static SuffixedFeature withSuffix(Feature feature, String suffix) {
        return new SuffixedFeature(feature, suffix);
    }

    @Override
    public String toString() {
        return String.format("%s_%s", feature.name(), suffix);
    }
}
